Bug 508332 - Clean up EE page certificate profiles
Clean up EE page certificate profiles
Status: CLOSED CURRENTRELEASE
Product: Dogtag Certificate System
Classification: Community
Component: Certificate Manager (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
: FutureFeature
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2009-06-26 12:13 EDT by Christina Fu
Modified: 2015-01-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 16:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
just make the token enroll profiles invisible from ee page (3.00 KB, patch)
2009-07-02 17:59 EDT, Christina Fu
no flags Details | Diff
make renewal profiles stand out a bit (1.33 KB, patch)
2009-07-02 18:13 EDT, Christina Fu
no flags Details | Diff
dogtag-pki-ca-ui.spec.diff (981 bytes, patch)
2009-07-02 18:54 EDT, Christina Fu
no flags Details | Diff
pki-ca.spec.diff (936 bytes, patch)
2009-07-02 18:55 EDT, Christina Fu
no flags Details | Diff
redhat-spec.diff (2.30 KB, patch)
2009-07-02 18:56 EDT, Christina Fu
no flags Details | Diff
redhat index.html (454 bytes, patch)
2009-07-02 20:33 EDT, Christina Fu
no flags Details | Diff

  None (edit)
Description Christina Fu 2009-06-26 12:13:13 EDT
Right now the EE page profile list are so cluttered and dis-organized.  A few things I think we can do to improve user experience:

* Make Token enrollment profiles on EE page invisible.  One should not be doing token enrollments directly from the EE page.
* fix the descriptions of some profiles and make it clear what they do
* Group them so that the most used ones are on the top and the similar ones are together.

etc.
Comment 1 Christina Fu 2009-07-02 17:59:23 EDT
Created attachment 350355 [details]
just make the token enroll profiles invisible from ee page
Comment 2 Christina Fu 2009-07-02 18:13:57 EDT
Created attachment 350356 [details]
make renewal profiles stand out a bit
Comment 3 Andrew Wnuk 2009-07-02 18:25:44 EDT
attachment (id=350355)
attachment (id=350356)
+awnuk
Comment 4 Christina Fu 2009-07-02 18:54:42 EDT
Created attachment 350358 [details]
dogtag-pki-ca-ui.spec.diff
Comment 5 Christina Fu 2009-07-02 18:55:16 EDT
Created attachment 350359 [details]
pki-ca.spec.diff
Comment 6 Christina Fu 2009-07-02 18:56:37 EDT
Created attachment 350360 [details]
redhat-spec.diff
Comment 7 Christina Fu 2009-07-02 18:58:37 EDT
https://bugzilla.redhat.com/attachment.cgi?id=350360
contains change from "Enrollment" tab to "Enrollment / Renewal"

cc Deon for the ui change.
Comment 9 Christina Fu 2009-07-02 20:33:44 EDT
Created attachment 350363 [details]
redhat index.html
Comment 10 Christina Fu 2009-07-02 20:40:09 EDT
[cfu@jaw ca]$ pwd
/home/cfu/dogtag/src0/pki/base/ca/shared/profiles/ca
[cfu@jaw ca]$ svn commit
Sending        ca/caDirUserRenewal.cfg
Sending        ca/caManualRenewal.cfg
Sending        ca/caSSLClientSelfRenewal.cfg
Sending        ca/caTempTokenDeviceKeyEnrollment.cfg
Sending        ca/caTempTokenUserEncryptionKeyEnrollment.cfg
Sending        ca/caTempTokenUserSigningKeyEnrollment.cfg
Sending        ca/caTokenDeviceKeyEnrollment.cfg
Sending        ca/caTokenMSLoginEnrollment.cfg
Sending        ca/caTokenUserEncryptionKeyEnrollment.cfg
Sending        ca/caTokenUserSigningKeyEnrollment.cfg
Transmitting file data ..........
Committed revision 670.
Comment 11 Christina Fu 2009-07-02 20:43:03 EDT
[cfu@jaw ca]$ pwd
/home/cfu/dogtag/src0/pki/dogtag/ca
[cfu@jaw ca]$ svn commit pki-ca.spec
Sending        pki-ca.spec
Transmitting file data .
Committed revision 671.
Comment 12 Christina Fu 2009-07-02 20:44:35 EDT
[cfu@jaw ca-ui]$ pwd
/home/cfu/dogtag/src0/pki/dogtag/ca-ui
[cfu@jaw ca-ui]$ svn commit
Sending        ca-ui/dogtag-pki-ca-ui.spec
Sending        ca-ui/shared/webapps/ca/ee/ca/index.html
Transmitting file data ..
Committed revision 672.
Comment 13 Andrew Wnuk 2009-07-02 20:49:46 EDT
attachment (id=350363) +awnuk
Comment 14 Christina Fu 2009-07-02 20:53:26 EDT
[cfu@jaw ca-ui]$ pwd
/home/cfu/dogtag/src0/pki/redhat/ca-ui
[cfu@jaw ca-ui]$ svn commit
Sending        ca-ui/redhat-pki-ca-ui.el4sol9.spec
Sending        ca-ui/redhat-pki-ca-ui.spec
Sending        ca-ui/shared/webapps/ca/ee/ca/index.html
Transmitting file data ...
Committed revision 15566.
Comment 15 Christina Fu 2009-12-17 23:25:52 EST
This was done in 8.0 but not closed.
Comment 16 Kashyap Chamarthy 2010-10-11 03:24:23 EDT
Verified.


+ All 'Renewal' profiles are edited, and grouped together at the end of the page.
+ Descriptions for 'Renewal' profiles are updated
+ No TPS token profiles are visible in the EE page



Env:
+ RHEL5.6 (x86_64)
+ CS8.1 build -- Oct-1-2010

Note You need to log in before you can comment on or make changes to this bug.